<?php

/**
 * ajouter une fonction qui permet d'insérer le nouvel utilisateur dans la base de données.
 * ajouter une redirection sur la page de connexion si l'inscription est réussie ou sur la page d'inscription si elle échoue.
 */

require_once __DIR__ . '/../db/Database.php';


$db = new Database();
$result = $db->login(
    $_POST['username'],
    $_POST['password'],
);

if ($result) {
    session_start();
    $_SESSION['username'] = $_POST['username'];

    if (isset($_GET['target'])) {
        header('Location: ' . base64_decode($_GET['target']));
    } else {
        header('Location: /login.php');
    }
} else {
    header('Location: /register.php');
}
